Bug 1004311 - Multiple connections feature can be switched on be setting jbpm.enable.multi.con=false
Multiple connections feature can be switched on be setting jbpm.enable.multi....
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 07:33 EDT by Radovan Synek
Modified: 2014-08-06 16:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-09-04 07:33:41 EDT
Multiple connections feature is controlled by system property 'jbpm.enable.multi.con', Looking at the source code (e.g. [1] and [2]), this property is being questioned only for existence, not for actual value: 

System.getProperty("jbpm.enable.multi.con") == null

=> multiple connections feature is switched on if the property is defined no matter what value it has, even if the value is "false", which is a non-standard behaviour.

expected behaviour:
jbpm.enable.multi.con=false => multiple connections disabled
jbpm.enable.multi.con=true => multiple connections enabled
jbpm.enable.multi.con undefined => default behaviour - mult. conn. disabled

Version-Release number of selected component (if applicable):
BPMS 6.0.0.ER2

[1] https://github.com/droolsjbpm/jbpm/blob/master/jbpm-flow/src/main/java/org/jbpm/workflow/core/node/ActionNode.java
[2] https://github.com/droolsjbpm/jbpm/blob/master/jbpm-flow/src/main/java/org/jbpm/workflow/core/node/EndNode.java
Comment 1 Maciej Swiderski 2013-09-05 10:48:33 EDT
fixed so only value 'true' will enable multi connection support. Commit on 6.0.x:
https://github.com/droolsjbpm/jbpm/commit/57637e2f77eef30a9ca6e08ad6ae9fce1efdd882
Comment 5 Radovan Synek 2013-10-17 04:03:56 EDT
Verified on BPMS-6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.